Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.server.http
Class Http

    java.lang.Object
      |
      +--com.caucho.server.http.Http

public class Http
extends java.lang.Object

Collection of public utility routines

Constructor Summary
`Http()`

Method Summary
`static CauchoApplication` | `createApplicationAdapter(ServletContext context)`
`static CauchoRequest` | `createRequestAdapter(HttpServletRequest req, CauchoApplication app)`
`static CauchoResponse` | `createResponseAdapter(HttpServletResponse res)`
`static ServletConfig` | `createServletConfig(java.lang.String uri, CauchoApplication app)`
`static void` | `servletToStream(Servlet servlet, WriteStream stream, ServletRequest req, ServletResponse res)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Http

    public Http()

Method Detail

### servletToStream

    public static void servletToStream(Servlet servlet,
                                       WriteStream stream,
                                       ServletRequest req,
                                       ServletResponse res)
                                throws java.io.IOException,
                                       ServletException

### createApplicationAdapter

    public static CauchoApplication createApplicationAdapter(ServletContext context)

### createRequestAdapter

    public static CauchoRequest createRequestAdapter(HttpServletRequest req,
                                                     CauchoApplication app)

### createResponseAdapter

    public static CauchoResponse createResponseAdapter(HttpServletResponse res)

### createServletConfig

    public static ServletConfig createServletConfig(java.lang.String uri,
                                                    CauchoApplication app)
                                             throws ServletException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD